ecrop Docs

Party (Self) (GET)

GET
/omni-omni/v1/parties/self

Authorization

Bearer Authentication
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/omni-omni/v1/parties/self"
{
  "email": "string",
  "legalParty": {
    "businessSectors": [
      "FIN_INST_BANK_CREDIT"
    ],
    "companyName": "string",
    "customersLocations": [
      "string"
    ],
    "customersPaymentTypes": [
      "CASH"
    ],
    "description": "string",
    "legalFormType": "AKTIENGESELLSCHAFT",
    "registeredAddress": {
      "city": "string",
      "countryIso2": "string",
      "houseNo": "string",
      "street": "string",
      "zip": "string"
    },
    "registrationNumber": "string",
    "statute": {
      "content": "string",
      "description": "string",
      "fileExtension": "string",
      "fileType": "PICTURE",
      "id": 0,
      "title": "string",
      "url": "string"
    },
    "symbol": "string"
  },
  "naturalParty": {
    "birthDate": "2019-08-24",
    "firstName": "string",
    "image": {
      "content": "string",
      "description": "string",
      "fileExtension": "string",
      "fileType": "PICTURE",
      "id": 0,
      "title": "string",
      "url": "string"
    },
    "kyc": {
      "caseId": "string",
      "caseResult": [
        {
          "content": "string",
          "description": "string",
          "fileExtension": "string",
          "fileType": "PICTURE",
          "id": 0,
          "title": "string",
          "url": "string"
        }
      ],
      "kycProvider": "POSTIDENT",
      "kycResult": "success"
    },
    "lastName": "string",
    "links": [
      {
        "id": 0,
        "insertDate": "2019-08-24T14:15:22Z",
        "modifyDate": "2019-08-24T14:15:22Z",
        "title": "string",
        "url": "string"
      }
    ],
    "mobile": "string",
    "nationality": "string",
    "pepFlag": true,
    "phoneNumber": "string",
    "residentialAddress": {
      "city": "string",
      "countryIso2": "string",
      "houseNo": "string",
      "street": "string",
      "zip": "string"
    },
    "salutation": "UNKNOWN"
  },
  "publicKey": "string"
}